Commit b3140d88 authored by koobs's avatar koobs
Browse files

www/py-txrequests: Allow Python 3.x builds

txrequests ships a universal (py2,py3) wheel in PyPI, which means its
Python 2/3 compatible and that the maintainer used `bdist_wheel --universal`
when uploading the wheel to PyPI. buildbot (2.2.0), which is now Python 3.x
only, depends on it for tests.

txrequests tests (3/3 of them) pass under Python 3, and buildbots test
utilising txrequests don't appear to fail.

Enable Python 3.x builds accordingly.
parent 88a60a3a
......@@ -16,12 +16,13 @@ LICENSE_FILE= ${WRKSRC}/LICENSE
RUN_DEPENDS= ${PYTHON_PKGNAMEPREFIX}requests>=1.2.0:www/py-requests@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}twisted>=9.0.0:devel/py-twisted@${PY_FLAVOR}
USES= python:-2.7
USES= python
USE_PYTHON= autoplist distutils
NO_ARCH= yes
TEST_ENV= PYTHONPATH=${TEST_WRKSRC}
do-test:
@cd ${WRKSRC} && ${SETENV} ${TEST_ENV} ${LOCALBASE}/bin/trial ${WRKSRC}/test_txrequests.py
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment